Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80558 - Put httpd-mailman.conf in /etc/httpd/conf.d instead of /etc/httpd/conf
Summary: Put httpd-mailman.conf in /etc/httpd/conf.d instead of /etc/httpd/conf
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: mailman
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-12-27 21:56 UTC by Indrajit Raychaudhuri
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-21 02:16:16 UTC


Attachments (Terms of Use)

Description Indrajit Raychaudhuri 2002-12-27 21:56:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
Now that /etc/httpd/conf/httpd.conf use the directive
Include conf.d/*.conf to load per-component config, httpd-mailman.conf can be
put in /etc/httpd/conf.d as, say, /etc/httpd/conf.d/mailman.conf instead of
having it as /etc/httpd/conf/httpd-mailman.conf

This would make mailman work 'out of the box' (well almost) and without
insisting on cluttering up httpd.conf


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
rpm -qlf /etc/httpd/conf/httpd-mailman.conf


Additional info:

Comment 1 Indrajit Raychaudhuri 2003-01-18 21:51:04 UTC
Found /etc/httpd/conf.d/httpd-mailman.conf in mailman-2.1-2 in Rawhide.

However, it could have been /etc/httpd/conf.d/mailman.conf to be more consistent
(namewise /etc/httpd/conf.d/<packagename>.conf - for example, squirrelmail.conf)

Let John (and others) decide on this and close the bug.  As far as I am
concerned, I am OK and can consider it resolved.


Comment 2 John Dennis 2003-01-20 15:30:14 UTC
When I moved the file to the config directory I considered renaming it but held
back thinking previous users might go looking for a file with the same name. But
I tend to agree with you that mailman.conf is a better name. I think I'll change
the name for the next package.

Comment 3 Jay Turner 2003-01-21 02:16:16 UTC
Fix confirmed with mailman-2.1-3.


Note You need to log in before you can comment on or make changes to this bug.